/*
  xtother.h
  Definitions for other classes: XtTextViewer

  Copyright (c) 1998 Dragos Acostachioaie

  This file is part of Xterminal library.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the license, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this program; if not, write to the Free
  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _XTOTHER_H
#define _XTOTHER_H

#include <xobject.h>
#include <xtbar.h>
#include <xtpassive.h>

struct TItem {
  char *Text;
  TItem *Next;
};

/**
    @memo Text file viewer
    @author Dragos Acostachioaie
    @version 0.1
*/
class XtTextViewer : public XtWindow {
 public:

  /// Constructs a new XtTextViewer using the specified bounds and file name
  XtTextViewer(XRect __r, char *__FileName);

  /// Destructs the object's instance
  ~XtTextViewer();

  /// Computes the object's size and the real bounds
  virtual void CalculateBounds();

  /// Draws the object
  virtual void Draw();

  /// Initialize the associated scroll bar
  virtual void InitScrollBar();

  /// Process keyboard events
  virtual int ProcessKeyboardEvent(XKeyboardEvent *__Event);

  /// Process messages
  virtual int ProcessMessage(XMessage *__Event);

  /// Sets the object's state
  virtual void SetState(int __Mask, int __BoolValue);

 protected:
  XtScrollBar *ScrollBar;
  char *FileName;
  unsigned long LinesNo, MaxColsNo, CP, CC;
  TItem *Items;
  int ReadFile();
};

#endif
